Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -1862,7 +1754,7 @@
                     strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
                     strSQL += " (";
                     strSQL += "SaveDate,";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateDataDetail.TableColumn)))
+                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.DB.IOAccess.IOEstimateDataDetail.TableColumn)))
                     {
                         if (!bColFirst) strSQL += " ,";
                         strSQL += gender.ToString();
@@ -1982,7 +1874,7 @@
         private bool CnvBusinesstypemaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMBusinessType InDB = new ProcessManagement.OracleDB.IOAccess.IOMBusinessType();
-            ProcessManagement.MySQLDB.IOAccess.IOMBusinessType OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMBusinessType();
+            ProcessManagement.DB.IOAccess.IOMBusinessType OutDB = new ProcessManagement.DB.IOAccess.IOMBusinessType();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -1996,44 +1888,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<BusinessTypeMaster> BuffList = new List<BusinessTypeMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMBusinessType.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        BusinessTypeMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.BusinessTypeCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.BusinessTypeName);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2040,6 +1908,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2070,7 +1939,7 @@
         private bool CnvCommoncostlarge(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMCommonCostLarge InDB = new ProcessManagement.OracleDB.IOAccess.IOMCommonCostLarge();
-            ProcessManagement.MySQLDB.IOAccess.IOMCommonCostLarge OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMCommonCostLarge();
+            ProcessManagement.DB.IOAccess.IOMCommonCostLarge OutDB = new ProcessManagement.DB.IOAccess.IOMCommonCostLarge();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2084,46 +1953,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<CommonCostLarge> BuffList = new List<CommonCostLarge>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMCommonCostLarge.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        CommonCostLarge CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.LargeCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.LargeName);
-                        strSQL += string.Format(", '{0}'", CurRec.CommentText);
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2130,6 +1973,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2160,7 +2004,7 @@
         private bool CnvCommoncostlinkms(int ino, ref string strMsg) 
         {
             ProcessManagement.OracleDB.IOAccess.IOMCommonCostLinkMS InDB = new ProcessManagement.OracleDB.IOAccess.IOMCommonCostLinkMS();
-            ProcessManagement.MySQLDB.IOAccess.IOMCommonCostLinkMS OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMCommonCostLinkMS();
+            ProcessManagement.DB.IOAccess.IOMCommonCostLinkMS OutDB = new ProcessManagement.DB.IOAccess.IOMCommonCostLinkMS();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2174,44 +2018,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<CommonCostLinkMS> BuffList = new List<CommonCostLinkMS>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMCommonCostLinkMS.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        CommonCostLinkMS CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.LargeCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.MiddleCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ItemCode.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2218,6 +2038,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2248,7 +2069,7 @@
         private bool CnvCommoncostmiddle(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMCommonCostMiddle InDB = new ProcessManagement.OracleDB.IOAccess.IOMCommonCostMiddle();
-            ProcessManagement.MySQLDB.IOAccess.IOMCommonCostMiddle OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMCommonCostMiddle();
+            ProcessManagement.DB.IOAccess.IOMCommonCostMiddle OutDB = new ProcessManagement.DB.IOAccess.IOMCommonCostMiddle();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2262,47 +2083,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<CommonCostMiddle> BuffList = new List<CommonCostMiddle>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMCommonCostMiddle.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        CommonCostMiddle CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.LargeCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.MiddleCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.MiddleName);
-                        strSQL += string.Format(", '{0}'", CurRec.CommentText);
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2309,6 +2103,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2339,7 +2134,7 @@
         private bool CnvCommoncostmiddlesearchword(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMCommonCostMiddleSearchWord InDB = new ProcessManagement.OracleDB.IOAccess.IOMCommonCostMiddleSearchWord();
-            ProcessManagement.MySQLDB.IOAccess.IOMCommonCostMiddleSearchWord OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMCommonCostMiddleSearchWord();
+            ProcessManagement.DB.IOAccess.IOMCommonCostMiddleSearchWord OutDB = new ProcessManagement.DB.IOAccess.IOMCommonCostMiddleSearchWord();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2353,45 +2148,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<CommonCostMiddleSearchWord> BuffList = new List<CommonCostMiddleSearchWord>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMCommonCostMiddleSearchWord.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        CommonCostMiddleSearchWord CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.LargeCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.MiddleCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.SearchWord);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2398,6 +2168,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2428,7 +2199,7 @@
         private bool CnvComponentlinkmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMComponentLink InDB = new ProcessManagement.OracleDB.IOAccess.IOMComponentLink();
-            ProcessManagement.MySQLDB.IOAccess.IOMComponentLink OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMComponentLink();
+            ProcessManagement.DB.IOAccess.IOMComponentLink OutDB = new ProcessManagement.DB.IOAccess.IOMComponentLink();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2442,44 +2213,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ComponentLinkMaster> BuffList = new List<ComponentLinkMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMComponentLink.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ComponentLinkMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ComponentCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ItemCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2486,6 +2233,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2516,7 +2264,7 @@
         private bool CnvComponentmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMComponent InDB = new ProcessManagement.OracleDB.IOAccess.IOMComponent();
-            ProcessManagement.MySQLDB.IOAccess.IOMComponent OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMComponent();
+            ProcessManagement.DB.IOAccess.IOMComponent OutDB = new ProcessManagement.DB.IOAccess.IOMComponent();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2530,49 +2278,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ComponentMaster> BuffList = new List<ComponentMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMComponent.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ComponentMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ComponentCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.ComponentName);
-                        strSQL += string.Format(", {0}", CurRec.SubitemsFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DirectInputFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.MyExpensesFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2579,6 +2298,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2609,7 +2329,7 @@
         private bool CnvConstructionbaseinfo(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionBaseInfo InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionBaseInfo();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionBaseInfo OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionBaseInfo();
+            ProcessManagement.DB.IOAccess.IOConstructionBaseInfo OutDB = new ProcessManagement.DB.IOAccess.IOConstructionBaseInfo();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
